Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.gvt
Interface Selector

All Superinterfaces:
  java.util.EventListener, GraphicsNodeChangeListener, GraphicsNodeKeyListener, GraphicsNodeMouseListener

All Known Implementing Classes:
  ConcreteTextSelector

public interface Selector
extends GraphicsNodeMouseListener, GraphicsNodeKeyListener, GraphicsNodeChangeListener

Interface which allows selection of GraphicsNodes and their contents.

Method Summary
`void` | `addSelectionListener(SelectionListener l)` Add a SelectionListener to this Selector's notification list.
`java.lang.Object` | `getSelection()` Get the contents of the current selection buffer.
`boolean` | `isEmpty()` Reports whether the current selection contains any objects.
`void` | `removeSelectionListener(SelectionListener l)` Remove a SelectionListener from this Selector's notification list.

Methods inherited from interface org.apache.batik.gvt.event.GraphicsNodeMouseListener
`mouseClicked, mouseDragged, mouseEntered, mouseExited, mouseMoved, mousePressed, mouseReleased`

Methods inherited from interface org.apache.batik.gvt.event.GraphicsNodeKeyListener
`keyPressed, keyReleased, keyTyped`

Methods inherited from interface org.apache.batik.gvt.event.GraphicsNodeChangeListener
`changeCompleted, changeStarted`

Method Detail

### getSelection

    public java.lang.Object getSelection()

  Get the contents of the current selection buffer.

### isEmpty

    public boolean isEmpty()

  Reports whether the current selection contains any objects.

### addSelectionListener

    public void addSelectionListener(SelectionListener l)

  Add a SelectionListener to this Selector's notification list.

  Parameters:
    `l` - the SelectionListener to add.

### removeSelectionListener

    public void removeSelectionListener(SelectionListener l)

  Remove a SelectionListener from this Selector's notification list.

  Parameters:
    `l` - the SelectionListener to be removed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.